Subject: Re: [SWIPL] Calling more than one predicate

From: "Richard A. O'Keefe" <[email-masked]>
Date: Fri, 28 Sep 2001 12:42:03 +1200 (NZST)

"Nissim Broudo" <[email-masked]> :write:
	>What's the feasibility of being able to call more than one predicate in
	>future versions of SWI-Prolog ?  I would like to have 2 open predicates

Well, you can fire up as many independent operating system processes,
each running Prolog, as you want.  If they are all running the same
program, and not changing their data bases, that would do the trick.

Tim Lindholm (whose name appears on the Java VM book) produced a multithread
version of Quintus Prolog where you could have done this, but at that time
there wasn't a market for it, and Quintus basically dropped it.

The ECLIPSE manual I have seems to suggest that ECLIPSE has the same
limitation, but I may be misreading it.